Get JWKS for the environment (JSON format)
Returns the JSON Web Key Set (JWKS) in JSON format for the specified environment.
GET
/
sdk
/
{environmentId}
/
.well-known
/
jwks.json
Find jwks for public key (JSON format)
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/.well-known/jwks.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/.well-known/jwks.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/.well-known/jwks.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keys": [
{
"kid": "<string>",
"alg": "<string>",
"kty": "<string>",
"use": "<string>",
"e": "<string>",
"n": "<string>"
}
]
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
public key with standard jwks format
Show child attributes
Show child attributes
Last modified on January 21, 2026
Was this page helpful?
⌘I
Find jwks for public key (JSON format)
